# Interface methods for submodule: ErodeObjectMorphologyImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectMorphologyImageFilterProxy as _ObjectMorphologyImageFilterProxy


# Interface methods for class: ErodeObjectMorphologyImageFilter
class ErodeObjectMorphologyImageFilterProxy(_ObjectMorphologyImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetErodeValue(self, objectValue: float) -> None:
		""""""
		...

	@overload
	def SetErodeValue(self, objectValue: int) -> None:
		""""""
		...

	@overload
	def GetErodeValue(self) -> float:
		""""""
		...

	@overload
	def GetErodeValue(self) -> int:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

